漏洞信息详情

ATutor多个跨站脚本攻击(XSS) 漏洞

  • CNNVD编号:CNNVD-200607-106
  • 危害等级: 低危
  • CVE编号: CVE-2006-3484
  • 漏洞类型: 跨站脚本
  • 发布时间: 2006-07-10
  • 威胁类型: 远程
  • 更新时间: 2006-07-20
  • 厂        商: adaptive_technology_resource_centre
  • 漏洞来源: Security News is c...

漏洞简介

ATutor 1.5.3之前版本存在多个跨站脚本攻击(XSS) 漏洞。远程攻击者可以借助对(a) admin/create_course.php的(1) show_courses 或(2) current_cat参数, 对的(b) users/create_course.php的show_courses 参数, (3)对(c) documentation/admin/的p参数,(4)对(d) password_reminder.php的forgot 参数, (5)对(e) users/browse.php的cat参数, 或(6)对admin/fix_content.php的submit参数,注入任意web脚本或HTML 。

漏洞公告

目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:

ATutor ATutor 1.5.3 RC2

ATutor ATutor-1.5.3.tar.gz

http://prdownloads.sourceforge.net/atutor/ATutor-1.5.3.tar.gz

ATutor ATutor 1.5.1 pl2

ATutor ATutor-1.5.3.tar.gz

http://prdownloads.sourceforge.net/atutor/ATutor-1.5.3.tar.gz

ATutor ATutor 1.5.1 pl1

ATutor ATutor-1.5.3.tar.gz

http://prdownloads.sourceforge.net/atutor/ATutor-1.5.3.tar.gz

ATutor ATutor 1.5.1

ATutor ATutor-1.5.3.tar.gz

http://prdownloads.sourceforge.net/atutor/ATutor-1.5.3.tar.gz

参考网址

来源: BID

名称: 18857

链接:http://www.securityfocus.com/bid/18857

来源: VUPEN

名称: ADV-2006-2691

链接:http://www.frsirt.com/english/advisories/2006/2691

来源: SECUNIA

名称: 20941

链接:http://secunia.com/advisories/20941

来源: OSVDB

名称: 27023

链接:http://www.osvdb.org/27023

来源: OSVDB

名称: 27021

链接:http://www.osvdb.org/27021

来源: OSVDB

名称: 27020

链接:http://www.osvdb.org/27020

来源: www.atutor.ca

链接:http://www.atutor.ca/view/3/8341/1.html

来源: OSVDB

名称: 27022

链接:http://www.osvdb.org/27022

来源: OSVDB

名称: 27019

链接:http://www.osvdb.org/27019

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多